# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件核验_集配客户列表,33,33-57,sit,be
主数据平台:后台运营系统获取集配客户信息列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_admin")
password = commonFuc().get_business_data(module, "password_admin")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取集配客户信息列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url56")
request_body = commonFuc().get_business_data(module, "payload56")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
cust_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取集配客户信息
settleSign = result["data"]["list"][cust_random]["settleSign"]
custInfo = result["data"]["list"][cust_random]["userNo"]
supplierInfo = result["data"]["list"][cust_random]["supplierCode"]
syncStatus = result["data"]["list"][cust_random]["syncStatus"]
companyId = result["data"]["list"][cust_random]["companyId"]

# 第三步进行列表条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url57")
request_body = commonFuc().get_business_data(module, "payload57", settleSign, custInfo, supplierInfo, syncStatus,
                                             companyId)

"""
 场景: 列表查询条件核验_集配客户列表
 用例名称：列表查询条件核验_集配客户列表
 输出：{"custInfo":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取集配客户信息
result = json.loads(result.content)
result = {"custInfo": result["data"]["list"][0]["userNo"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict57", custInfo)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
