# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc站点白名单客户申请审核验证,2299,2299-30,sit,bs
主数据平台:后台运营系统站点白名单客户申请审核接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_area"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取申请客户列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url17")
request_body = commonFuc().get_business_data(module, "payload17")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
user_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取客户信息
siteOpenId = result["data"]["list"][user_random]["siteOpenId"]

# 第三步进行站点白名单客户申请审核
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url30")
request_body = commonFuc().get_business_data(module, "payload30", siteOpenId)
"""

 场景: 站点白名单客户申请审核验证
 用例名称：站点白名单客户申请审核验证
 输出：{"status":2}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库客户信息
sql = "SELECT t.status FROM `cmdc-user`.cmdc_siteopen t WHERE siteOpenId = {}".format(siteOpenId)
result = {"status": mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict30")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 恢复测试数据
sql = "UPDATE `cmdc-user`.cmdc_siteopen t SET t.status = 1 WHERE t.siteOpenId = {}".format(siteOpenId)
mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-user", sql)

