# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc医院信息无效_经销商关联医院新增,2298,2298-32,sit,bs
主数据平台:后台运营系统经销商关联医院新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_hospital"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取经销商列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = commonFuc().get_business_data(module, "payload7")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 过滤掉无效客户
data = []
for i in result["data"]["list"]:
    if i["status"] == 3:
        data.append(i)
    else:
        continue
# print(data)
# 生成随机数
company_ramdom = random.randint(0, len(data) - 1)
company_ramdom = 1
# 获取经销商信息
userNo = data[company_ramdom]["userNo"]

# 第三步进行列表条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url35")
request_body = commonFuc().get_business_data(module, "payload35", userNo)
# print(request_body)
"""

 场景: 医院信息无效_经销商关联医院新增
 用例名称：医院信息无效_经销商关联医院新增
 输出：{"success":false,"code":"ERROR500","message":"找不到该用户","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

if result["success"]:

    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict35")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict34")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
