# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc重复添加_经销商关联医院新增,2298,2298-33,sit,bs
主数据平台:后台运营系统经销商关联医院新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_hospital"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取经销商关联医院管理列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
request_body = commonFuc().get_business_data(module, "payload4")
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
hospital_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取经销商关联医院信息
customerCode = result["data"]["list"][hospital_random]["customerCode"]
customerName = result["data"]["list"][hospital_random]["customerName"]
hospitalCode = result["data"]["list"][hospital_random]["hospitalCode"]
hospitalName = result["data"]["list"][hospital_random]["hospitalName"]

# 第三步进行经销商关联医院新增
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url36")
request_body = commonFuc().get_business_data(module, "payload36", hospitalName, customerName, customerCode, hospitalCode)

"""

 场景: 重复添加_经销商关联医院新增
 用例名称：重复添加_经销商关联医院新增
 输出：{"success":false,"code":"ERROR500","message":"请勿重复添加","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

if result["message"] == "请勿重复添加":
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict36")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict34")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
