# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_医院列表,2300,2300-8,sit,be
主数据平台:后台运营系统获取医院列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_ls"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取医院列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = commonFuc().get_business_data(module, "payload7")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

if result["data"]["list"]:
    # 生成随机数
    hosp_random = random.randint(0, len(result["data"]["list"]) - 1)
    # 获取医院信息
    statisticProvince = result["data"]["list"][hosp_random]["statisticProvince"]
    statisticRegion = result["data"]["list"][hosp_random]["statisticRegion"]
    hospInfo = result["data"]["list"][hosp_random]["hospCode"]

    # 第三步进行列表条件查询
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url8")
    request_body = commonFuc().get_business_data(module, "payload8", statisticProvince, statisticRegion, hospInfo)

    """
    
     场景: 列表查询条件验证_医院列表
     用例名称：列表查询条件验证_医院列表
     输出：{"hospInfo":"%s"}
    """

    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    # 获取接口响应时间
    api_time = float(result.elapsed.total_seconds())

    # 获取医院信息
    result = json.loads(result.content)
    result = {"hospInfo": result["data"]["list"][0]["hospCode"]}
    # 将接口响应时间添加至result
    result["api_time"] = api_time

    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict8", hospInfo)
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
