# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新老商品关系编码维护新增验证,2264,2264-65,sit,bs
主数据平台:运营后台管理系统新老商品关系编码维护新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import random

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "product_list")
request_body = commonFuc().get_business_data(module, "product_payload")
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 随机获取不相同两个商品信息
product_id_a = random.randint(1, len(result["data"]["list"]) - 2)
product_a = result["data"]["list"][product_id_a]
product_id_b = random.randint(product_id_a + 1, len(result["data"]["list"])-1)
product_b = result["data"]["list"][product_id_b]

# 第二步进行新老商品关系编码维护新增
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url19")
request_body = {"manufacturerGroupName": "", "manufacturerGroupCode": "", "groupName": "", "limitPurchase": "",
                "isLimit": 0, "products": [product_a, product_b]}

"""
 场景:新老商品关系编码维护新增验证
 用例名称：新老商品关系编码维护新增验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
# print(result)
if result["success"]:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict20")
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict20_1")
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
