# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc批次号无效_通过批号获取上报数据,00,00-63,sit,be
主数据平台:后台运营系统获取首营客户信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_special_version"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_admin2")
password = commonFuc().get_business_data(module, "password_admin2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取首营客户信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url52")
request_body = commonFuc().get_business_data(module, "payload52")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
customer_random = random.randint(0, len(result["data"]) - 1)
# 获取客户信息
customerCode = result["data"][customer_random]["customerCode"]
# 随机生成数据
batchNumber = random.randint(0, 1000)

# 第三步通过批次号获取上报数据
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url63")
request_body = commonFuc().get_business_data(module, "payload63", batchNumber, customerCode)

"""

 场景: 批次号无效_通过批号获取上报数据
 用例名称：批次号无效_通过批号获取上报数据
 输出：{"message":"生产批号：%s 不存在或已上报"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict63_1", batchNumber)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
