# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc植入产品线新增验证,00,00-51,sit,be
主数据平台:后台运营系统植入产品线新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_special_version"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_admin2")
password = commonFuc().get_business_data(module, "password_admin2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取新增植入产品线下拉数据
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url50")
request_body = commonFuc().get_business_data(module, "payload50")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
line_random = random.randint(0, len(result["data"]) - 1)
# 获取产品线信息
productLineCode = result["data"][line_random]["productLineCode"]
productLineName = result["data"][line_random]["productLineName"]

# 第三步进行植入产品线新增操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url51")
request_body = [commonFuc().get_business_data(module, "payload51", productLineCode, productLineName)]
"""

 场景: 植入产品线新增验证
 用例名称：植入产品线新增验证
 输出：{"success":true,"code":"200","message":"OK","data":{"errList":null,"success":true}}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

if result["data"]["success"]:
    # 将接口响应时间添加至result
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict51")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)

    # 进行测试数据清除操作
    # 数据库操作
    mysql_handle = mySql()
    # 获取conf.ini文件中配置的数据库信息
    host, port, user, pwd = mysql_handle.getConf(db="cmdc_db_be")

    # 在数据库中删除新增的植入产品线信息
    sql = "DELETE FROM `cmdc-order`.tc_report_productline " \
          "WHERE productLineCode = '121' and status = 0 and companyCode = '00102' ORDER BY createTime DESC"
    mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-order", sql)

else:
    # print(result)
    result = {"errList": result["data"]["errList"][0]}

    # 将接口响应时间添加至result
    result["api_time"] = api_time

    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict47", productLineName)
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)

